﻿using UnityEngine;

public class AIShooting : MonoBehaviour
{
    /// <summary>
    /// gameiino.com / store.gameiino.com / play.gameiino.com / سایت های ما
    /// t.me/gameiino_learning / t.me/gameiino_play / t.me/gameiino_store / کانال های ما در فضای مجازی
    /// <summary>

    [SerializeField] private float _distance = 2;
    [SerializeField] private int speed;
    [SerializeField] private GameObject bullet;
    [SerializeField] private Transform spawnArea;

    private int _timer;
    private GameObject _player;
    private SpriteRenderer _sprite;
    private bool _checkPlayer;

    private void Start()
    {
        _player = GameObject.FindGameObjectWithTag("Player");
        _sprite = GetComponent<SpriteRenderer>();
    }

    private void FixedUpdate()
    {
        _timer += 1;
        float dis = Vector2.Distance(_player.transform.position, transform.position);
        if (dis <= _distance)
        {
            _checkPlayer = true;
        }
        else
        {
            _checkPlayer = false;
        }

        if (_checkPlayer && _timer >= 20)
        {
            if (_player.transform.position.x > transform.position.x)
            {
                _sprite.flipX = true;
                GameObject bulletClone = Instantiate(bullet, spawnArea.position, spawnArea.rotation);
                bulletClone.GetComponent<Rigidbody2D>().AddForce(transform.right * speed);
                Destroy(bulletClone, 1);
            }
            else
            {
                _sprite.flipX = false;
                GameObject bulletClone = Instantiate(bullet, spawnArea.position, spawnArea.rotation);
                bulletClone.GetComponent<Rigidbody2D>().AddForce(transform.right * -speed);
                Destroy(bulletClone, 1);
            }
            _timer = 0;
        }
    }
}
